Subject: [PATCH 02/15] ARM: pass IRQ domain to the core IRQ handler

From: [email-masked] (Marc Zyngier)
Date: Mon, 04 Aug 2014 11:00:38 +0100

Hi Russell,

On Sat, Aug 02 2014 at  8:51:18 am BST, Russell King - ARM Linux <[email-masked]> wrote:
> On Tue, Jul 08, 2014 at 02:10:25PM +0100, Marc Zyngier wrote:
>> Calling irq_find_mapping from outside a irq_{enter,exit} section is
>> unsafe and produces ugly messages if CONFIG_PROVE_RCU is enabled:
>> If coming from the idle state, the rcu_read_lock call in irq_find_mapping
>> will generate an an unpleasant warning.
>> 
>> A solution is to add a new handle_domain_irq entry point into
>> the arm code that the interrupt controller code can call.
>> This new function takes an irq_domain, and calls into irq_find_domain
>> inside the irq_{enter,exit} block.
>> 
>> Interrupt controllers can then be updated to use the new mechanism.
>
> I merged this last night, and this says it all...
>
> Subject: rmk build: 244 warnings 49 failures (rmk/v3.16-rc3-70-gc1ed1df)
>
> arch/arm/kernel/irq.c:81:3: error: implicit declaration of function 'irq_find_mapping' [-Werror=implicit-function-declaration]
>
> So I'm dropping it.

Ouch. Sorry about that. Seems like I only tested this with a config that
has CONFIG_IRQ_DOMAIN set. I'll respin in after the merge window.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny.